Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.authorization
Class ListerKeys

    java.lang.Object
      weblogic.management.security.authorization.ListerKeys

public class ListerKeys
extends Object

The `ListerKeys` class provides constants for the key names use to obtain values from a `Properties` object when using the `PolicyListerMBean` and `RoleListerMBean` interfaces.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `AUX_DATA` The `Properties` key used to get the auxiliary data.
`static String` | `EXPRESSION` The `Properties` key used to get the policy or role expression.
`static String` | `POLICY_SOURCE` The `Properties` key used to get the source of the policy or role expression.
`static String` | `RESOURCE_ID` The `Properties` key used to get the resource identifier.
`static String` | `ROLE_NAME` The `Properties` key used to get the role name.

Constructor Summary
`ListerKeys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUX_DATA

    public static final String AUX_DATA

  The `Properties` key used to get the auxiliary data. (Optional)

  The value will be set when there is auxiliary data available.

  See Also:
    Constant Field Values

### EXPRESSION

    public static final String EXPRESSION

  The `Properties` key used to get the policy or role expression.

  See Also:
    Constant Field Values

### POLICY_SOURCE

    public static final String POLICY_SOURCE

  The `Properties` key used to get the source of the policy or role expression. (Optional)

  The value will be set when the source is the J2EE or WLS DD.

  See Also:
    Constant Field Values

### RESOURCE_ID

    public static final String RESOURCE_ID

  The `Properties` key used to get the resource identifier.

  See Also:
    Constant Field Values

### ROLE_NAME

    public static final String ROLE_NAME

  The `Properties` key used to get the role name.

  See Also:
    Constant Field Values

Constructor Detail

### ListerKeys

    public ListerKeys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD